using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.IO;

namespace DCControls
{
    public partial class DependencyViewControl : UserControl
    {
        private DependencyTest.DependencyBase dependency;
        private Color titleSavedColor;
        private bool dependencyStatus;

        public bool DependencyStatus
        {
            get { return dependencyStatus; }
            set { dependencyStatus = value; }
        }
        public DependencyTest.DependencyBase Dependency
        {
            get { return dependency; }
            set { 
                
                dependency = value;
                lblTitle.Text = dependency.Title;
                lblExplination.Text = dependency.Explination;
                if (!string.IsNullOrEmpty(dependency.DownloadUrl))
                {
                    llDownloadUrl.Links[0].Description = dependency.DownloadUrl;
                    llDownloadUrl.Text = "Download";
                }
                else if (!string.IsNullOrEmpty(dependency.ScriptName))
                {
                    llDownloadUrl.Links[0].Description = dependency.ScriptName;
                    llDownloadUrl.Text = "Install now";
                }
                else if (!string.IsNullOrEmpty(dependency.InfoUrl))
                {
                    llDownloadUrl.Links[0].Description = dependency.InfoUrl;
                    llDownloadUrl.Text = "More information";
                }

                if (dependency.Check())
                {
                    pictureBox1.Image = global::DCControls.Properties.Resources.Checked;
                    llDownloadUrl.Visible = false;
                    lblExplination.Visible = false;
                    Height = 25;
                    lblTitle.ForeColor = titleSavedColor;
                    dependencyStatus = true;
                }
                else
                {
                    pictureBox1.Image = global::DCControls.Properties.Resources.Unchecked;
                    lblTitle.ForeColor = Color.Red;
                    dependencyStatus = false;

                }

            }
        }
        public DependencyViewControl()
        {
            InitializeComponent();
            llDownloadUrl.Text = "";
            titleSavedColor = lblTitle.ForeColor;

        }

        private void llDownloadUrl_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            if (!string.IsNullOrEmpty(dependency.DownloadUrl))
            {
                System.Diagnostics.Process.Start(dependency.DownloadUrl);
            }
            else if (!string.IsNullOrEmpty(dependency.ScriptName))
            {
                System.Diagnostics.Process.Start(dependency.ScriptName);
            }
            else if (!string.IsNullOrEmpty(dependency.InfoUrl))
            {
                System.Diagnostics.Process.Start(dependency.InfoUrl);
            }
        }
    }
}