using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Win32;

namespace DependencyTest.Helpers
{
    static class RegistryHelper
    {
        public static bool IsValueAt(string regPath, string valueName, string desiredValue)
        {
            RegistryKey key = Registry.LocalMachine.OpenSubKey(regPath);
            if (key != null)
            {
                return (key.GetValue(valueName, "NOTFOUND") as string).StartsWith(desiredValue, StringComparison.OrdinalIgnoreCase);
            }
            return false;
        }
        public static bool IsInKey(string regPath, string valueName, string desiredValue)
        {
            RegistryKey key = Registry.LocalMachine.OpenSubKey(regPath);
            if (key != null)
            {
                foreach (string subkey in key.GetSubKeyNames())
                {
                    string value = (key.OpenSubKey(subkey).GetValue(valueName)) as string;
                    if ((value != null) && (value.StartsWith(desiredValue, StringComparison.OrdinalIgnoreCase)))
                    {
                        return true;
                    }
                }
            }
            return false;
        }
        public static bool ValueExists(string regPath, string valueName)
        {
            RegistryKey key = Registry.LocalMachine.OpenSubKey(regPath);
            if (key.GetValue(valueName) != null)
            {
                return true;
            }
            return false;
        }
        internal static string GetValue(string regPath, string valueName)
        {
            RegistryKey key = Registry.LocalMachine.OpenSubKey(regPath);
            string value = (string)key.GetValue(valueName);
            return value;
        }
    }
}
