//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.ServiceModel;

using Shp.Runtime.Contract;

namespace LitwareHR.Portfolio.Gateways
{
    static public class AuthorizationGateway
    {
        static public CredentialPermission[] GetCredentialPermissionList(string tenantAlias, string credential)
        {
            using (SecureChannel channel = new SecureChannel())
            {
                return channel.GetCredentialPermissionList(tenantAlias, credential);
            }
        }

        static public void UpdateCredentialPermission(string tenantAlias, string credential, Guid[] actionIdList)
        {
            using (SecureChannel channel = new SecureChannel())
            {
                channel.UpdateCredentialPermission(tenantAlias, credential, actionIdList);
            }
        }

        private class SecureChannel : ClientBase<IAuthorizationSC>, IAuthorizationSC
        {
            public CredentialPermission[] GetCredentialPermissionList(string tenantAlias, string credential)
            {
                return base.Channel.GetCredentialPermissionList(tenantAlias, credential);
            }

            public void UpdateCredentialPermission(string tenantAlias, string credential, Guid[] actionIDList)
            {
                base.Channel.UpdateCredentialPermission(tenantAlias, credential, actionIDList);
            }
        }
    }
}
