//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.ServiceModel;

using LitwareHR.Portfolio.Contract;

namespace LitwareHR.Portfolio.Gateways
{
    static public class MembershipGateway
    {
        static public void CreateApplicant(string tenantAlias, string username, string password, string email)
        {
            using (UnSecureChannel channel = new UnSecureChannel())
            {
                channel.CreateApplicant(tenantAlias, username, password, email);
            }
        }

        private class UnSecureChannel : ClientBase<IMembershipUC>, IMembershipUC
        {
            #region IMembershipUC Members

            public void CreateApplicant(string tenantAlias, string username, string password, string email)
            {
                base.Channel.CreateApplicant(tenantAlias, username, password, email);
            }

            #endregion
        }
    }
}
