//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using Shp.Runtime.Contract;
using System.ServiceModel;
using System.IO;
using LitwareHR.Portfolio.Contract;

namespace LitwareHR.Portfolio.Gateways
{
    static public class ProvisioningGateway
    {
        static public void DoProvisioning(string tenantName, string tenantAlias, int domainModel, string adminPassword)
        {
            using (UnSecureChannel channel = new UnSecureChannel())
            {
                channel.DoProvisioning(tenantName, tenantAlias, domainModel, adminPassword);
            }
        }

        private class UnSecureChannel : ClientBase<IProvisioningUC>, IProvisioningUC
        {
            #region IProvisioningUC Members

            public void DoProvisioning(string tenantName, string tenantAlias, int domainModel, string adminPassword)
            {
                base.Channel.DoProvisioning(tenantName, tenantAlias, domainModel, adminPassword);
            }

            #endregion
        }
    }
}
