//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using System.Runtime.Serialization;
using Shp.Runtime.Contract;

namespace LitwareHR.Portfolio.Gateways
{
    static public class SystemGateway
    {
        static public Guid GetTenantId(string tenantAlias)
        {
            using (UnSecureChannel channel = new UnSecureChannel())
            {
                return channel.GetTenantId(tenantAlias);
            }
        }

        public class UnSecureChannel : ClientBase<ISystemUC>, ISystemUC
        {
            #region ISystemUC Members

            public Guid GetTenantId(string tenantAlias)
            {
                return base.Channel.GetTenantId(tenantAlias);
            }

            #endregion
        }
    }
}