//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using LitwareHR.Portfolio.Contract;
using Shp.Runtime.Contract;

namespace LitwareHR.Portfolio.Services
{
    public class MembershipService : IMembershipUC
    {
        public void CreateApplicant(string tenantAlias, string username, string password, string email)
        {
            if (String.IsNullOrEmpty(tenantAlias))
                throw new ArgumentNullException("tenantAlias");

            if (String.IsNullOrEmpty(username))
                throw new ArgumentNullException("username");

            if (String.IsNullOrEmpty(password))
                throw new ArgumentNullException("password");

            if (String.IsNullOrEmpty(email))
                throw new ArgumentNullException("email");

            Upn upn = new Upn(username, tenantAlias);
            MembershipLogic.CreateApplicant(upn, password, email);
        }
    }
}