//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Text.RegularExpressions;

using LitwareHR.Portfolio.Contract;

namespace LitwareHR.Portfolio.Services
{
    public class ProvisioningService : IProvisioningUC
    {
        public void DoProvisioning(string tenantName, string tenantAlias, int domainModel, string adminPassword)
        {
            if (String.IsNullOrEmpty(tenantName))
                throw new ArgumentNullException("tenantName");

            if (String.IsNullOrEmpty(tenantAlias))
                throw new ArgumentNullException("tenantAlias");

            if (String.IsNullOrEmpty(adminPassword))
                throw new ArgumentNullException("adminPassword");

            if (domainModel != 0 && domainModel != 1)
                throw new ArgumentNullException("domainModel");

            Regex r = new Regex(@"\W", RegexOptions.Compiled);
            if (r.IsMatch(tenantAlias))
                throw (new ArgumentException("tenantAlias must not contain non-word characters", "tenantAlias"));

            ProvisioningLogic.DoProvisioning(tenantName, tenantAlias, domainModel, adminPassword);
        }
    }
}