//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using LitwareHR.Portfolio.Gateways;
using Shp.Runtime.Contract;

namespace LitwareHR.PrivateApp.Presenters.ConfigCusto
{
    public class EditEntityPresenter
    {
        private IEditEntityView _view;

        public EditEntityPresenter(IEditEntityView view)
        {
            _view = view;
        }

        private EditEntityPresenter()
        {
        }

        public void OnViewLoaded(string tenantAlias, string entityDefName)
        {
            EntityField[] fields = DatamodelGateway.GetEntityDefFields(tenantAlias, entityDefName);
            _view.ShowFields(fields);
            GuidStringPair[] types = DatamodelGateway.GetTypeList();
            _view.ShowTypes(types);
        }

        public void OnAdd(EntityField field, EntityField[] fields)
        {
            List<EntityField> tmp = new List<EntityField>(fields);
            field.IsShared = false;
            tmp.Add(field);
            _view.ShowFields(tmp.ToArray());
        }

        public void OnRemove(string name, EntityField[] fields)
        {
            fields = EntityField.Remove(name, fields);
            _view.ShowFields(fields);
        }

        public void OnSave(Guid entityDefId, EntityField[] fields)
        {
            DatamodelGateway.UpdateEntityDef(entityDefId, fields);
        }
    }
}
