//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;

using LitwareHR.Portfolio.Gateways;

namespace LitwareHR.PrivateApp.Presenters.ConfigCusto
{
    public class ManageRolesPresenter
    {
        private IManageRolesView _view;

        public ManageRolesPresenter(IManageRolesView view)
        {
            _view = view;
        }

        public void OnViewLoaded(string tenantAlias)
        {
            string[] roleNames = AuthenticationGateway.GetRoles(tenantAlias);
            _view.ShowRoles(roleNames);
        }

        public void OnCreateRoleButtonClick(string tenantAlias, string roleName)
        {
            AuthenticationGateway.CreateRole(tenantAlias, roleName);
            _view.ShowRoles(AuthenticationGateway.GetRoles(tenantAlias));
        }

        public void OnDeleteRole(string tenantAlias, string roleName)
        {
            AuthenticationGateway.DeleteRole(tenantAlias, roleName);
            _view.ShowRoles(AuthenticationGateway.GetRoles(tenantAlias));
        }
    }
}
