//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using LitwareHR.Portfolio.Gateways;

namespace LitwareHR.PrivateApp.Presenters.ConfigCusto
{
    public class PresentationPresenter
    {
        private IPresentationView _view;

        public PresentationPresenter(IPresentationView view)
        {
            _view = view;
        }

        private PresentationPresenter()
        {
        }

        public void OnViewLoaded(string tenantAlias)
        {
            KeyValuePair<int, string>[] l = PresentationGateway.GetLayoutList();
            KeyValuePair<Guid, string>[] s = PresentationGateway.GetStyleList();

            _view.ShowLayouts(l);
            _view.ShowStyles(s);

            int selectedLayout = PresentationGateway.GetConfiguredLayout(tenantAlias);
            _view.SelectCurrentLayout(selectedLayout);

            Guid selectedStyleId = PresentationGateway.GetCurrentStyleId();
            _view.SelectCurrentStyle(selectedStyleId);
        }

        public void OnUpdate(int layout, Guid style)
        {
            PresentationGateway.UpdatePresentation(layout, style);
        }
    }
}