//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using LitwareHR.Portfolio.Gateways;

namespace LitwareHR.PrivateApp.Presenters.ConfigCusto
{
    public class SelectIdentityPresenter
    {
        private ISelectIdentityView _view;

        public SelectIdentityPresenter(ISelectIdentityView view)
        {
            _view = view;
        }

        private SelectIdentityPresenter()
        {
        }

        public void OnViewLoaded(string tenantAlias)
        {
            List<string> roles = new List<string>(AuthenticationGateway.GetRoles(tenantAlias));
            List<string> users = new List<string>(AuthenticationGateway.GetUsers(tenantAlias));
            _view.ShowRoles(roles);
            _view.ShowUsers(users);
        }
    }
}