//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using LitwareHR.PrivateApp.Presenters.ConfigCusto;
using Resources;

public partial class ConfigCusto_AddOrDeleteStyle : BasePage, IAddStyleView
{
    AddStylePresenter _presenter;
    AddStylePresenter Presenter
    {
        get
        {
            return _presenter;
        }
    }

    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        _presenter = new AddStylePresenter(this);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Presenter.OnViewLoaded();
        }
    }

    protected void AddButton_Click(object sender, EventArgs e)
    {
        if (Uri.IsWellFormedUriString(styleUrlTextBox.Text, UriKind.Absolute))
        {
            Uri url = new Uri(styleUrlTextBox.Text);
            Presenter.OnAdd(styleNameTextBox.Text, url);
        }
        else
        {
            throw new ArgumentException(Resource.InvalidUrl);
        }
        Response.Redirect("presentation.aspx");
    }

    public void ResetForm()
    {
        styleNameTextBox.Text = "";
        styleUrlTextBox.Text = "";
    }
}