//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using PrivateApp;
using LitwareHR.PrivateApp.Presenters.ConfigCusto;
using System.Collections.Generic;
using Shp.Runtime.Contract;

public partial class ConfigCusto_Authorization : BasePage, IAuthorizationView
{
    AuthorizationPresenter _presenter;
    AuthorizationPresenter Presenter
    {
        get
        {
            return _presenter;
        }
    }

    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        _presenter = new AuthorizationPresenter(this);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Presenter.OnViewLoaded(Helpers.TenantAlias, Request.QueryString["credential"]);
        }
    }

    protected void SaveButton_Click(object sender, EventArgs e)
    {
        List<Guid> list = new List<Guid>();

        foreach (GridViewRow row in ActionsGrid.Rows)
        {
            Control ctrl = row.FindControl("IsAuthorizedCheckbox");

            if (ctrl != null)
            {
                CheckBox isAuthorizedCheckbox = ctrl as CheckBox;

                if (isAuthorizedCheckbox.Checked)
                    list.Add(new Guid(ActionsGrid.DataKeys[row.DataItemIndex].Value.ToString()));
            }
        }

        _presenter.OnSave(Helpers.TenantAlias, Request.QueryString["credential"], list.ToArray());
    }

    public void ShowActions(CredentialPermission[] list)
    {
        ActionsGrid.DataSource = list;
        ActionsGrid.DataBind();
    }

}