//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;

using LitwareHR.PrivateApp.Presenters.ConfigCusto;

public partial class ConfigCusto_ManageRoles : BasePage, IManageRolesView
{
    private ManageRolesPresenter _presenter;

    private ManageRolesPresenter Presenter
    {
        get
        {
            return _presenter;
        }
    }

    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        _presenter = new ManageRolesPresenter(this);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        Presenter.OnViewLoaded(Helpers.TenantAlias);
    }

    protected void RolesGrid_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        switch (e.CommandName)
        {
            case "DeleteRole":

                string arg = e.CommandArgument.ToString();

                Presenter.OnDeleteRole(Helpers.TenantAlias, arg);

                break;
        }
    }

    protected void CreateRoleButton_Click(object sender, EventArgs e)
    {
        if (Page.IsValid)
        {
            Presenter.OnCreateRoleButtonClick(Helpers.TenantAlias, RoleNameTextBox.Text);
            RoleNameTextBox.Text = "";
        }
    }

    public void ShowRoles(string[] roleNames)
    {
        RolesGrid.DataSource = roleNames;
        RolesGrid.DataBind();
    }
}
