//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using LitwareHR.PrivateApp.Presenters.ConfigCusto;
using System.Collections.Generic;

public partial class ConfigCusto_Presentation : BasePage, IPresentationView
{
    PresentationPresenter _presenter;
    PresentationPresenter Presenter
    {
        get
        {
            return _presenter;
        }
    }

    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        _presenter = new PresentationPresenter(this);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Presenter.OnViewLoaded(Helpers.TenantAlias);
        }
    }

    protected void UpdateButton_Click(object sender, EventArgs e)
    {
        int layout = int.Parse(layoutsDropDown.SelectedValue);
        Guid style = new Guid(stylesDropDown.SelectedValue);
        Presenter.OnUpdate(layout, style);
        Response.Redirect(Request.Url.PathAndQuery);
    }

    #region IPresentationView Members

    public void ShowLayouts(KeyValuePair<int, string>[] layouts)
    {
        layoutsDropDown.DataSource = layouts;
        layoutsDropDown.DataBind();
    }

    public void ShowStyles(KeyValuePair<Guid, string>[] styles)
    {
        stylesDropDown.DataSource = styles;
        stylesDropDown.DataBind();
    }

    public void SelectCurrentLayout(int selectedLayout)
    {
        layoutsDropDown.SelectedValue = selectedLayout.ToString();
    }

    public void SelectCurrentStyle(Guid selectedStyleId)
    {
        stylesDropDown.SelectedValue = selectedStyleId.ToString();
    }

    #endregion
}