//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Register : BasePage
{
    protected void CreateUserWizard_ContinueButtonClick(object sender, EventArgs e)
    {
        string returnUrl = Request.QueryString["ReturnUrl"];

        if (!string.IsNullOrEmpty(returnUrl))
        {
            Response.Redirect(returnUrl);
        }
        else
        {
            Response.Redirect("Default.aspx");
        }
    }

    protected void CreateUserWizard_CreatedUser(object sender, EventArgs e)
    {
        using (SystemServiceChannel channel = new SystemServiceChannel())
        {
            string upn = Helpers.ConvertUsernameToUpn(this.CreateUserWizard.UserName);
            channel.ClientCredentials.UserName.UserName = upn;
            channel.ClientCredentials.UserName.Password = this.CreateUserWizard.Password;
            channel.Ping();
        }
    }
}