//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using LitwareHR.Portfolio.Gateways;
using Shp.Runtime.Contract;
using LitwareHR.Recruiting.Contract;

namespace LitwareHR.PublicApp.Presenters.Careers
{
    public class AddPositionPresenter
    {
        private IAddPositionView _view;
        public AddPositionPresenter(IAddPositionView view)
        {
            _view = view;
        }

        public void OnViewLoaded(string tenantAlias)
        {
            _view.BuildEntityForm(DatamodelGateway.GetEntityDefFields(tenantAlias, Constants.Entity.Position));
        }

        public void OnSave(EntityField[] list)
        {
            Guid instanceId = DatamodelGateway.AddInstance("position", list);

            List<Field> fields = new List<Field>();
            foreach(EntityField entityField in list)
            {
                fields.Add(new Field(entityField.Name, entityField.Value));
            }
            Position position = new Position(instanceId, fields);
            RecruitingGateway.OpenRecruitingProcess(position);
        }
    }
}
