//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using LitwareHR.Recruiting.Contract;
using LitwareHR.Portfolio.Gateways;

namespace LitwareHR.PublicApp.Presenters.Careers.Evaluation
{
    public class InterviewPresenter
    {
        private IInterviewView _view;

        public InterviewPresenter(IInterviewView view)
        {
            _view = view;
        }

        public void OnSubmit(Interview interview)
        {
            RecruitingGateway.SubmitInterview(interview);
        }

        public void OnViewLoaded()
        {
            _view.SetValidators();
            _view.SetDefaultValues();
        }
    }
}
