//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using LitwareHR.Portfolio.Gateways;

/// <summary>
/// Summary description for Helpers
/// </summary>
static public class Helpers
{
    static public string TenantAlias
    {
        get
        {
            string str;
            // Single Website environments (IIS 5.1) will use http://localhost/litwarehr/tenant_alias/...
            // In those cases, segment index will be one more than in http://www.litwarehr.com/tenant_alias/...
            if (HttpContext.Current.Request.Url.IsLoopback)
            {
                str = HttpContext.Current.Request.Url.Segments[2];
            }
            else
            {
                str = HttpContext.Current.Request.Url.Segments[1];
            }

            str = str.Replace("/", "");
            return str;
        }
    }

    static public Guid TenantId
    {
        get
        {
            if (HttpContext.Current.Application[Constants.TenantIdSessionKey] == null)
            {
                Guid tenantId = SystemGateway.GetTenantId(TenantAlias);
                HttpContext.Current.Application[Constants.TenantIdSessionKey] = tenantId;
            }
            return (Guid)HttpContext.Current.Application[Constants.TenantIdSessionKey];
        }
        set
        {
            HttpContext.Current.Application[Constants.TenantIdSessionKey] = value;
        }
    }

    static public string ConvertUsernameToUpn(string username)
    {
        string domain;
        // Single Website environments (IIS 5.1) will use http://localhost/litwarehr/tenant_alias/...
        // In those cases, segment index will be one more than in http://www.litwarehr.com/tenant_alias/...
        if (HttpContext.Current.Request.Url.IsLoopback)

        {
            domain = HttpContext.Current.Request.Url.Segments[2];
        }
        else
        {
            domain = HttpContext.Current.Request.Url.Segments[1];
        }

        domain = domain.Replace("/", "");
        username = string.Format("{0}@{1}", username, domain);
        return username;
    }
}