//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using LitwareHR.PublicApp.Presenters.Careers.Evaluation;
using LitwareHR.Recruiting.Contract;

public partial class Careers_Evaluation_Negotiation : BasePage, INegotiationView
{
    NegotiationPresenter _presenter;
    NegotiationPresenter Presenter
    {
        get
        {
            return _presenter;
        }
    }

    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        _presenter = new NegotiationPresenter(this);
    }

    protected void SubmitButton_Click(object sender, EventArgs e)
    {
        string workflowId = Request.QueryString[Constants.WorkflowIdQS];

        if (string.IsNullOrEmpty(workflowId))
            throw new ArgumentNullException(Constants.WorkflowIdQS);

        Negotiation negotiation = new Negotiation();

        int requestedAmount;
        Int32.TryParse(RequestedAmountTextBox.Text, out requestedAmount);
        negotiation.RequestedAmount = requestedAmount;

        int offeredAmount;
        Int32.TryParse(OfferedAmountTextBox.Text, out offeredAmount);
        negotiation.OfferedAmount = offeredAmount;

        int agreedAmount;
        Int32.TryParse(AgreedAmountTextBox.Text, out agreedAmount);
        negotiation.AgreedAmount = agreedAmount;

        negotiation.Positive = PositiveCheckBox.Checked;

        negotiation.WorkflowId = new Guid(workflowId);

        _presenter.OnSubmit(negotiation);
        string redirect = ConfigurationManager.AppSettings[Constants.RecruitingHome];
        Response.Redirect(redirect);
    }
}
