//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using LitwareHR.PublicApp.Presenters.Careers.Evaluation;

public partial class Careers_Evaluation_Recruiter : BasePage, IRecruiterView
{

    RecruiterPresenter _presenter;
    RecruiterPresenter Presenter
    {
        get
        {
            return _presenter;
        }
    }

    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        _presenter = new RecruiterPresenter(this);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Presenter.OnViewLoaded();
        }
    }

    public void ShowWorkflows(DataTable workflows)
    {
        foreach (DataColumn column in workflows.Columns)
        {
            if (column.ColumnName != "NextStepUrl")
            {
                BoundField boundColumn = new BoundField();
                boundColumn.DataField = column.ColumnName;
                boundColumn.HeaderText = column.Caption;
                WorkflowsGrid.Columns.Add(boundColumn);
            }
        }
        WorkflowsGrid.DataSource = workflows;
        WorkflowsGrid.DataBind();
    }

    protected void WorkflowsGrid_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            DataRow row = ((DataRowView)e.Row.DataItem).Row;
            if (!User.IsInRole(row["Waiting For"].ToString()))
            {
                e.Row.Cells[0].Text = "";
            }
        }
    }
}
