//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using PublicApp;
using LitwareHR.PublicApp.Presenters.Careers.Careers;

public partial class Careers_JobDetail : BasePage, IJobDetailView
{

    JobDetailPresenter _presenter;
    JobDetailPresenter Presenter
    {
        get
        {
            return _presenter;
        }
    }

    protected override void OnInitComplete(EventArgs e)
    {
        base.OnInitComplete(e);
        _presenter = new JobDetailPresenter(this);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            string positionId = Request.QueryString[Constants.PositionIdQS];
            if (string.IsNullOrEmpty(positionId))
                throw new ArgumentNullException(Constants.PositionIdQS);

            // Set up a cookie to pick it up for display
            Response.Cookies[Constants.PositionCookie].Value = positionId;
            Response.Cookies[Constants.PositionCookie].Expires = DateTime.Now.AddMonths(6);

            Presenter.OnViewLoaded(Helpers.TenantAlias, new Guid(positionId));
        }
    }

    public void ShowPositions(DataTable postions)
    {
        foreach (DataColumn column in postions.Columns)
        {
            if (column.ColumnName != "id")
            {
                BoundField boundColumn = new BoundField();
                boundColumn.DataField = column.ColumnName;
                boundColumn.HeaderText = column.Caption;
                positionDetailsView.Fields.Add(boundColumn);
            }
        }
        positionDetailsView.DataSource = postions;
        positionDetailsView.DataBind();
    }
}