//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Globalization;
using Resources;

public partial class Login : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string returnUrl = Request.QueryString["ReturnUrl"];

        if (!string.IsNullOrEmpty(returnUrl))
        {
            LoginControl.CreateUserUrl = string.Format(CultureInfo.CurrentCulture, Resource.RegisterUrl, returnUrl);
        }

        string error = Request.QueryString["Error"];
        if (!string.IsNullOrEmpty(error))
        {
            ShowGlobalError(error);
        }
    }

    protected void LoginControl_LoggedIn(object sender, EventArgs e)
    {
        using (SystemServiceChannel channel = new SystemServiceChannel())
        {
            string upn = Helpers.ConvertUsernameToUpn(LoginControl.UserName);
            channel.ClientCredentials.UserName.UserName = upn;
            channel.ClientCredentials.UserName.Password = LoginControl.Password;
            channel.Ping();
        }
    }

    private void ShowGlobalError(string error)
    {
            switch (error)
            {
                case "sts":
                    globalFailureText.Text = Resources.Resource.CredentialsError;
                    break;
            }
    }
    protected void LoginControl_LoggingIn(object sender, LoginCancelEventArgs e)
    {
        HttpContext.Current.Session.Clear();
    }
}