//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using Shp.Runtime.Contract;

namespace LitwareHR.Recruiting.Contract
{
    [ServiceContract()]
    public interface IProcessSC
    {
        [OperationContract]
        Guid OpenRecruitingProcess(Position position);

        [OperationContract]
        StringPair[][] GetRecruitingWorkflowListByApplicant(bool isOpen);

        [OperationContract]
        StringPair[][] GetRecruitingWorkflowList(bool isOpen);

        [OperationContract]
        void SubmitResume(Resume resume);

        [OperationContract]
        void SubmitInterview(Interview interview);

        [OperationContract]
        void SubmitNegotiation(Negotiation negotiation);

        [OperationContract]
        void SubmitAcceptance(Acceptance acceptance);

        [OperationContract]
        void SubmitRejection(Rejection rejection);
    }
}
