//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

using System.Workflow.Runtime;
using System.Workflow.Runtime.Hosting;
using System.Workflow.ComponentModel.Compiler;

namespace LitwareHR.Recruiting.Workflows.Activities
{
    public class WorkflowFactoryRuntimeService : WorkflowRuntimeService
    {
        public Guid StartWorkflow(XmlReader workflowDefinitionReader, XmlReader rulesReader, Dictionary<string, object> inparams)
        {
            WorkflowRuntime workflowRuntime = this.Runtime;
            WorkflowInstance workflowInstance;
            try
            {
                workflowInstance = workflowRuntime.CreateWorkflow(workflowDefinitionReader, rulesReader, inparams);
                workflowInstance.Start();
                ManualWorkflowSchedulerService workflowSchedulerService = workflowRuntime.GetService<ManualWorkflowSchedulerService>();
                if (workflowSchedulerService != null)
                {
                    workflowSchedulerService.RunWorkflow(workflowInstance.InstanceId);
                }
                return workflowInstance.InstanceId;
            }

            catch (WorkflowValidationFailedException exp)
            {
                StringBuilder errors = new StringBuilder();
                foreach (ValidationError error in exp.Errors)
                {
                    errors.AppendLine(error.ToString());
                }
                throw new Exception(errors.ToString());
            }
        }
    }
}
