//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;

using System.Workflow.Activities;
using Shp.Runtime.Services;
using System.Threading;
using System.ServiceModel;
using System.IdentityModel.Claims;
using Shp.Runtime.Contract;

namespace LitwareHR.Recruiting.Workflows
{
    [Serializable]
    public class CustomRole : WorkflowRole
    {
        private string _name;
        public CustomRole()
        {
        }

        public override string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public override IList<string> GetIdentities()
        {
            throw new NotImplementedException();            
        }

        public override bool IncludesIdentity(string identity)
        {
            Upn upn = new Upn(identity);
            IList<string> list = AuthenticationLogic.GetRolesForUser(upn);
                        
            foreach (string role in list)
            {
                if (role == _name)
                    return true;
            }
            return false;
        }
    }
}