//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace Shp.Runtime.Contract
{
    [DataContract, Serializable]
    public class EntityField
    {
        private Guid _id;
        [DataMember]
        public Guid Id
        {
            get { return _id; }
            set { _id = value; }
        }

        private string _name;
        [DataMember]
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private Guid _typeId;
        [DataMember]
        public Guid TypeId
        {
            get { return _typeId; }
            set { _typeId = value; }
        }

        private string _typeName;
        [DataMember]
        public string TypeName
        {
            get { return _typeName; }
            set { _typeName = value; }
        }

        private bool _isShared;
        [DataMember]
        public bool IsShared
        {
            get { return _isShared; }
            set { _isShared = value; }
        }

        private string _value;
        [DataMember]
        public string Value
        {
            get { return _value; }
            set { _value = value; }
        }

        static public EntityField[] Remove(string key, IList<EntityField> list)
        {
            List<EntityField> tmp = new List<EntityField>();
            foreach (EntityField field in list)
            {
                if (field.Name != key)
                {
                    tmp.Add(field);
                }
            }
            return tmp.ToArray();
        }
    }
}