//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;

namespace Shp.Runtime.Contract
{
    [ServiceContract]
    public interface IAuthenticationUC
    {
        [OperationContract]
        bool ValidateUser(string tenantAlias, string user, string password);

        [OperationContract]
        bool IsUser(string tenantAlias, string user);

        [OperationContract]
        bool IsUserInRole(string tenantAlias, string username, string roleName);

        [OperationContract]
        string[] GetRoles(string tenantAlias);

        [OperationContract]
        string[] GetUsers(string tenantAlias);

        [OperationContract]
        string[] GetRolesForUser(string tenantAlias, string user);

        [OperationContract]
        PasswordPolicy GetPasswordPolicy();

        [OperationContract]
        bool RoleExists(string tenantAlias, string roleName);
    }
}