//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace Shp.Runtime.Contract
{
    [DataContract, Serializable]
    public class StringPair
    {
        public StringPair()
        {
        }

        public StringPair(string key, string value)
        {
            _key = key;
            _value = value;
        }

        private string _key;
        [DataMember]
        public string Key
        {
            get { return _key; }
            set { _key = value; }
        }

        private string _value;
        [DataMember]
        public string Value
        {
            get { return _value; }
            set { _value = value; }
        }

        static public bool ContainsKey(string key, IList<StringPair> list)
        {
            foreach (StringPair pair in list)
            {
                if (pair.Key == key)
                {
                    return true;
                }
            }
            return false;
        }

        static public StringPair Get(string key, IList<StringPair> list)
        {
            foreach (StringPair pair in list)
            {
                if (pair.Key == key)
                {
                    return pair;
                }
            }
            throw new ArgumentOutOfRangeException();
        }

        static public StringPair[] Remove(string key, IList<StringPair> list)
        {
            List<StringPair> tmp = new List<StringPair>();
            foreach (StringPair pair in list)
            {
                if (pair.Key != key)
                {
                    tmp.Add(pair);
                }
            }
            return tmp.ToArray();
        }
    }
}