//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;

namespace Shp.Runtime.Services
{
    internal static class Constants
    {
        #region Ldap

        internal static class Ldap
        {
            internal const string UserFilter = "(&(objectClass=user)(userPrincipalName={0}))";

            internal static string[] UserProperties
            {
                get
                {
                    return new string[] { "objectSid", "userPrincipalName", "mail" };
                }
            }
        }

        #endregion

        #region DB

        internal static class DB
        {
            internal const string TenantDataStore = "TenantDataStore";
            internal const string TenantMetadataStore = "TenantMetadataStore";
            internal const string SqlForSelectEntityList = "SELECT * FROM [dbo].[{0}_{1}] WHERE id IN ({2})";
            internal const string DropView = "IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[{0}_{1}]')) DROP VIEW [dbo].[{0}_{1}]";
            internal const string CreateView = @"CREATE VIEW [dbo].[{0}_{1}] AS SELECT E.id, ";
        }

        #endregion

        #region Multitenancy

        internal static class Multitenancy
        {
            internal const string TenantId = "http://www.microsoft.com/architecture/2007/01/01/multitenancy/TenantId";
            internal const string TenantAlias = "http://www.microsoft.com/architecture/2007/01/01/multitenancy/TenantAlias";
        }

        #endregion
    }
}