//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;
using System.IdentityModel.Claims;

namespace Shp.Runtime.Services
{
    static public class Context
    {
        static public Guid TenantId
        {
            get
            {
                string tmp = OperationContext.Current.IncomingMessageProperties[Constants.Multitenancy.TenantId] as string;
                return new Guid(tmp);
            }
        }

        static public string TenantAlias
        {
            get
            {
                return OperationContext.Current.IncomingMessageProperties[Constants.Multitenancy.TenantAlias] as string;
            }
        }

        static public string User
        {
            get
            {
                return OperationContext.Current.IncomingMessageProperties[ClaimTypes.Name] as string;
            }
        }
    }
}
