//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;

namespace Shp.Security.BrokeredReceiver
{
    class Constants
    {
        #region SecurityTokenService

        public class SecurityTokenService
        {
            public const string Name = "SecurityTokenService";
            public const string Namespace = "http://schemas.xmlsoap.org/ws/2005/02/sc";
            public const string TrustFaultName = "TrustFault";
            public const string FaultNamespace = "http://schemas.xmlsoap.org/ws/2005/02/sc/fault";
            public const string SamlTokenTypeUri = "http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1#SAMLV1.1";
        }

        #endregion

        #region TrustFeb2005

        public class TrustFeb2005
        {
            public const string Namespace = "http://schemas.xmlsoap.org/ws/2005/02/trust";
            public const string RequestSecurityTokenIssuance = "http://schemas.xmlsoap.org/ws/2005/02/trust/RST/Issue";
            public const string RequestSecurityTokenIssuanceResponse = "http://schemas.xmlsoap.org/ws/2005/02/trust/RSTR/Issue";
            public const string Context = "Context";
            public const string KeySize = "KeySize";
            public const string Entropy = "Entropy";
            public const string BinarySecret = "BinarySecret";
            public const string RequestSecurityToken = "RequestSecurityToken";
            public const string RequestSecurityTokenResponse = "RequestSecurityTokenResponse";
            public const string TokenType = "TokenType";
            public const string RequestedSecurityToken = "RequestedSecurityToken";
            public const string RequestedAttachedReference = "RequestedAttachedReference";
            public const string RequestedUnattachedReference = "RequestedUnattachedReference";
            public const string RequestedProofToken = "RequestedProofToken";
            public const string ComputedKey = "ComputedKey";
            public const string Psha1ComputedKeyUri = "http://schemas.xmlsoap.org/ws/2005/02/trust/CK/PSHA1";
        }

        #endregion

        #region Policy

        public class Policy
        {
            public const string NamespaceUri = "http://schemas.xmlsoap.org/ws/2004/09/policy";
            public const string AppliesTo = "AppliesTo";
        }

        #endregion

        #region Addressing

        public class Addressing
        {
            public const string NamespaceUri = "http://www.w3.org/2005/08/addressing";
            public const string EndpointReference = "EndpointReference";
        }

        #endregion

        #region Multitenancy

        public class Multitenancy
        {
            public const string TenantId = "http://www.microsoft.com/architecture/2007/01/01/multitenancy/TenantId";
            public const string TenantAlias = "http://www.microsoft.com/architecture/2007/01/01/multitenancy/TenantAlias";
        }

        #endregion
    }
}
