//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.IdentityModel.Policy;
using System.IdentityModel.Claims;
using System.ServiceModel;
using System.Security.Principal;
using System.Collections.ObjectModel;
using Shp.Runtime.Services;
using Shp.Runtime.Contract;

namespace Shp.Security.BrokeredReceiver.CustomProviders
{
    public class CustomAuthorizationPolicy : AuthorizationSecurityTokenServicePolicy
    {
        /// <summary>
        /// Gets the actions for user.
        /// </summary>
        /// <param name="user">The user.</param>
        /// <returns></returns>
        protected override string[] GetActionsForUser(Upn upn)
        {
            string[] roles = AuthenticationLogic.GetRolesForUser(upn);
            string[] actions = AuthorizationLogic.GetActions(upn.Domain, roles);
            return actions;
        }
    }
}
