//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.ServiceModel;
using System.ServiceModel.Channels;

namespace Shp.Security.BrokeredReceiver
{
	[ServiceContract(Name = Constants.SecurityTokenService.Name, Namespace = Constants.SecurityTokenService.Namespace)]
	public interface ISecurityTokenService
	{
        /// <summary>
        /// Issues the security token.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <returns></returns>
        [OperationContract(Action = Constants.TrustFeb2005.RequestSecurityTokenIssuance,
                           ReplyAction = Constants.TrustFeb2005.RequestSecurityTokenIssuanceResponse)]
        [FaultContract(typeof(TrustFault))]
        Message IssueSecurityToken(Message message);
	}
}
