//===============================================================================
// Microsoft Architecture Strategy Team
// LitwareHR - SaaS Sample Application
//===============================================================================
// Copyright  Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===============================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===============================================================================

using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel.Description;

namespace Shp.Security.BrokeredSender
{
    /// <summary> 
    /// Client credentials custom implementation to perform caching of the security token
    /// </summary> 
    public class CustomClientCredentials : ClientCredentials
    {
        public CustomClientCredentials()
            : base()
        {
        }


        protected CustomClientCredentials(ClientCredentials other)
            : base(other)
        {
        }


        protected override ClientCredentials CloneCore()
        {
            return new CustomClientCredentials(this);
        }

        /// <summary> 
        /// Returns a custom security token manager 
        /// </summary> 
        /// <returns></returns> 
        public override System.IdentityModel.Selectors.SecurityTokenManager CreateSecurityTokenManager()
        {
            return new CustomClientCredentialsSecurityTokenManager(this);
        }
    }
}
